Edushade Docs
Events

A: List all events

GET
/admin/events
AuthorizationBearer <token>

In: header

Query Parameters

status?array<unknown>

Filter by status (values: draft, published, completed, cancelled)

Defaultnull
Value in"draft" | "published" | "completed" | "cancelled"
event_type?string

Filter by type (values: live, recorded)

Defaultnull
Value in"live" | "recorded"
access_type?string

Filter by access type (values: public, private, password_protected)

Defaultnull
Value in"public" | "private" | "password_protected"
speaker_id?string

Filter by speaker ID

Defaultnull
Formatuuid
category_id?string

Filter by category ID

Defaultnull
Formatuuid
is_recurring?boolean

Filter by recurring status

Defaultnull
start_after?string

Filter events starting after date (YYYY-MM-DD format)

Defaultnull
start_before?string

Filter events starting before date (YYYY-MM-DD format)

Defaultnull
search?string

Search in event title, summary, and description

Defaultnull
time_filter?string

Filter by time status (values: "upcoming", "completed", or omit for all events)

Defaultnull
Value in"\"upcoming\"" | "\"completed\"" | "or omit for all events"

Response Body

curl -X GET "https://edushade.com/api/v1/admin/events?status=draft&event_type=live&access_type=public&time_filter=%22upcoming%22"
{}
Empty
Empty
Empty